#!/bin/bash

echo -e "Version: 1.6.0p7\nAgentOS: linux\nHostname: rhein-sieg-kreis\n\n<<<local>>>"
counter=0

URL="https://www.rhein-sieg-kreis.de/verwaltung-politik/presse/index.php?sp%3AdateRange%5B0%5D=-7&sp%3AdateRange%5B1%5D=__last__&sp%3Afulltext%5B0%5D=Coronavirus%3A+Sachstand+im+Rhein-Sieg-Kreis&sp%3Aout=rss&sp%3Acmp=search-1-0-searchResult&action=submit"


## wir crawlen die presseinformationen von rhein-sieg-kreis.de und holen uns den letzten Eintrag
latestCoronaNews=`curl --silent -L ${URL} | grep presseinformationen | grep link  | sed 's/.*<link>//' | sed 's/<\/link>//' | head -n1`


temp_file=$(mktemp)

curl --silent -L ${latestCoronaNews} > ${temp_file}


html2text ${temp_file} | sed -e '/^$/d' -e '/^|$/d' | grep "\S" | while read line
do

        if [ "${isTable}" == "true" ] && [ `echo "${line}" | wc -w` -gt 3 ]
        then
                isTable="false"
        fi


        if [ "`echo "${line}" | grep "\*\*Rhein-Sieg-Kreis\*\*" > /dev/null 2>&1; echo $?`" == "0" ] && [ "${isTable}" != "false" ]
        then
                isTable="true"
        fi


        if [ "${isTable}" == "true" ]
        then
                counter=$(( ${counter}+1 ))

                line=`echo ${line} | sed 's/\*//g'`
               
                if [ ${counter} -eq 1 ]; then ORT=${line}; ORTs=`echo ${ORT} | sed 's/ /_/g'`; fi
                if [ ${counter} -eq 2 ]; then insgInfiziert=${line}; fi
                if [ ${counter} -eq 3 ]; then Todesfaelle=${line}; fi
                if [ ${counter} -eq 4 ]; then Genesen=${line}; fi
                if [ ${counter} -eq 5 ] 
                then 
                        aktErkrankt=${line}
                        counter=0
                        
                        echo "0 Corona_${ORTs} Erkrankt=${aktErkrankt}|Infiziert=${insgInfiziert}|Genesen=${Genesen}|Todesfaelle=${Todesfaelle} aktuelle Fälle: ${aktErkrankt} gemeldete Fälle: ${insgInfiziert} Genesene: ${Genesen} Todesfälle: ${Todesfaelle}"
                 fi
        fi


done       


exit 0

 
echo -e "Version: 1.6.0p7\nAgentOS: linux\nHostname: rhein-sieg-kreis\n\n<<<local>>>"

C_SITE=`curl --silent -L "${CURL_PARAMS}" "${URL}"`


DATUM=`echo "${C_SITE}" | grep '<em>(Stand ' | cut -d ')' -f1 | cut -d '(' -f2`

echo "${C_SITE}" | grep "Aktuell erkrankt" | sed -e 's/<p>/\n/g'  |sed -E 's/<[\/]*[a-z]*>//g' | while read line
do
        ## CheckMK mag keine Komma in Werten
#        line=`echo ${line} | sed 's/,/./g'`

        if [ "`echo "${line}" | grep "Aktuell erkrankt" > /dev/null 2>&1; echo $?`" == "0" ]
        then
                ORT=`echo ${line} | cut -d':' -f1`
                aktErkrankt=`echo ${line} | cut -d':' -f3 | cut -d';' -f 1 | sed 's/ //g'`
                insgInfiziert=`echo ${line} | cut -d':' -f4 | cut -d';' -f 1 | sed 's/ //g'`
                Genesen=`echo ${line} | cut -d':' -f5 | cut -d';' -f 1 | sed 's/ //g'`
                Todesfaelle=`echo ${line} | cut -d':' -f6 | cut -d';' -f 1 | sed 's/ //g'`

                ## Ort-Name fuer Service
                ORTs=`echo ${ORT} | sed 's/ /_/g'`

                echo "0 Corona_${ORTs} Erkrankt=${aktErkrankt}|Infiziert=${insgInfiziert}|Genesen=${Genesen}|Todesfaelle=${Todesfaelle} ${line}"

        elif [ "`echo "${line}" | grep "7-Tage-Inzidenz" > /dev/null 2>&1; echo $?`" == "0" ]
        then
                Inzidenz=`echo ${line} | cut -d':' -f2 | cut -d';' -f 1 | cut -d',' -f1 | sed 's/ //g'`
                ORT=`echo ${line} | rev | cut -d':' -f2 | cut -d' ' -f 1 | rev | sed 's/ //g'`

                ## Okay, wir verdoppeln das kritische mal auf 100
                if [ ${Inzidenz} -ge 100 ]
                then
                        STATE=2
                ## und gewarnt wird "erst" ab 50
                elif [ ${Inzidenz} -ge 50 ]
                then
                        STATE=1
                else
                        STATE=0
                fi

                echo "${STATE} ${ORT}_Inzidenz Inzidenz=${Inzidenz} ${line} Stand: ${DATUM}" 


        fi
        
done



exit 0

curl --silent -L 'https://www.rhein-sieg-kreis.de/verwaltung-politik/presse/index.php?sp%3AdateRange%5B0%5D=-7&sp%3AdateRange%5B1%5D=__last__&sp%3Afulltext%5B0%5D=Coronavirus%3A+Sachstand+im+Rhein-Sieg-Kreis&sp%3Aout=rs
s&sp%3Acmp=search-1-0-searchResult&action=submit' | grep presseinformationen | grep link  | sed 's/.*<link>//' | sed 's/<\/link>//'
